ompi/mca/mpool/gm/mpool_gm.h File Reference.TH "ompi/mca/mpool/gm/mpool_gm.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/mpool/gm/mpool_gm.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include <gm.h>\fP
.br
\fC#include 'opal/class/opal_list.h'\fP
.br
\fC#include 'class/ompi_free_list.h'\fP
.br
\fC#include 'opal/event/event.h'\fP
.br
\fC#include 'mca/mpool/mpool.h'\fP
.br
\fC#include 'mca/allocator/allocator.h'\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef mca_mpool_gm_component_t \fBmca_mpool_gm_component_t\fP"
.br
.ti -1c
.RI "typedef mca_mpool_base_resources_t \fBmca_mpool_base_resources_t\fP"
.br
.ti -1c
.RI "typedef mca_mpool_gm_module_t \fBmca_mpool_gm_module_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "void \fBmca_mpool_gm_module_init\fP (mca_mpool_gm_module_t *mpool)"
.br
.ti -1c
.RI "void * \fBmca_mpool_gm_base\fP (\fBmca_mpool_base_module_t\fP *)"
.br
.ti -1c
.RI "void * \fBmca_mpool_gm_alloc\fP (\fBmca_mpool_base_module_t\fP *mpool, size_t size, size_t align, uint32_t flags, mca_mpool_base_registration_t **registration)"
.br
.RI "\fIAllocate block of shared memory. \fP"
.ti -1c
.RI "void * \fBmca_mpool_gm_realloc\fP (\fBmca_mpool_base_module_t\fP *mpool, void *addr, size_t size, mca_mpool_base_registration_t **registration)"
.br
.RI "\fIrealloc function typedef \fP"
.ti -1c
.RI "int \fBmca_mpool_gm_register\fP (\fBmca_mpool_base_module_t\fP *mpool, void *addr, size_t size, uint32_t flags, mca_mpool_base_registration_t **registration)"
.br
.RI "\fIregister function typedef \fP"
.ti -1c
.RI "int \fBmca_mpool_gm_deregister\fP (\fBmca_mpool_base_module_t\fP *mpool, mca_mpool_base_registration_t *)"
.br
.ti -1c
.RI "void \fBmca_mpool_gm_free\fP (\fBmca_mpool_base_module_t\fP *mpool, void *addr, mca_mpool_base_registration_t *registration)"
.br
.RI "\fIfree function typedef \fP"
.ti -1c
.RI "int \fBmca_mpool_gm_find\fP (struct \fBmca_mpool_base_module_t\fP *mpool, void *addr, size_t size, \fBompi_pointer_array_t\fP *regs, uint32_t *cnt)"
.br
.ti -1c
.RI "int \fBmca_mpool_gm_release\fP (struct \fBmca_mpool_base_module_t\fP *mpool, mca_mpool_base_registration_t *registraion)"
.br
.ti -1c
.RI "int \fBmca_mpool_gm_retain\fP (struct \fBmca_mpool_base_module_t\fP *mpool, mca_mpool_base_registration_t *registraion)"
.br
.ti -1c
.RI "void * \fBmca_common_gm_segment_alloc\fP (struct \fBmca_mpool_base_module_t\fP *module, size_t *size, mca_mpool_base_registration_t **registration)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_COMP_EXPORT mca_mpool_gm_component_t \fBmca_mpool_gm_component\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
